lundi 31 décembre 2007

DLNA sous gentoo : Linux, Playstation 3

Installation du serveur DLNA - ushare-1.1 -

Installation de l'overlay SUNRISE
Il suffit de suivre le document ci-dessous
http://overlays.gentoo.org/proj/sunrise
Une fois cela effectué, 2 nouveaux ebuilds nous intéresses.
A savoir libdlna et ushare.

Autre méthode : récupération manuelle des ebuilds
http://overlays.gentoo.org/.../sunrise/media-libs/libdlna
http://overlays.gentoo.org/.../sunrise/media-server/ushare
et suivre la doc
http://gentoo-wiki.com/HOWTO_Installing_3rd_Party_Ebuilds

Quelque soit la méthode, ajouter une nouvelle catégorie : "media-server".
echo "media-server" >> /usr/portage/profiles/categories

Installation de "ushare" avec le support DLNA
L'installation s'effectue à l'aide la commande suivante :
USE="dlna" emerge media-server/ushare

Vous pouvez désormais partager du contenu multimédia avec votre monolithe noir préféré :
ushare -D -d -n serveurDLNA -c /home/user/mesfilms
...et il apparait sur la PS3


Actualisation du contenu partagé
Vous avez surement constaté que le contenu partagé ne se met pas à jour automatiquement.
Pour ce faire vous pouvez ajouter dans une crontab la commande suivante :
wget --spider http://192.168.0.2:49152/web/ushare.cgi?action=refresh
où "192.168.0.2:49152" est l'IP:PORT de votre serveur DLNA.

Support : en cas de problème un sujet a été créé ici : http://forums.gentoo.org/viewtopic-t-640877-start-0-postdays-0-postorder-asc-highlight-.html

5 commentaires:

ThaNerd a dit…

J'ai tenté d'installer en suivant à la lettre les instruction. Un premier bug est apparu parce que je n'avais pas ffmpeg... J'ai fait un emerge de ffmpeg après avoir ajouté pas mal de "USE" le concernant, et l'emerge d'uShare est allé plus loin, mais je suis de ouveau bloqué...

headeath82 a dit…

ce serai plus simple si tu envois l'erreur ?!?
tu n'as qu'a poster un message sur le forum Gentoo : http://forums.gentoo.org/viewforum-f-8.html

je jetterai un coup d'œil.

@++ sur forums.gentoo.org

ThaNerd a dit…

Voilà qui est fait...

headeath82 a dit…

j'ai fait une mise à jour le 4 jan. Il se peut que l'equipe gentoo sunrise ne n'ai pas encore valider.

Cette mise à jour indique la nécessité d'installer "net-libs/libupnp"

...

headeath82 a dit…

http://forums.gentoo.org/viewtopic-p-4689029.html#4689029